Get a public query
curl --request GET \
--url https://formhug.ai/api/v1/opensearch/queries/{token} \
--header 'Authorization: Bearer <token>'import requests
url = "https://formhug.ai/api/v1/opensearch/queries/{token}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://formhug.ai/api/v1/opensearch/queries/{token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"token": "aB3dE",
"form_token": "<string>",
"url": "<string>",
"status": "active",
"name": "<string>",
"enabled": true,
"search_field_rules": [
{
"operand": "and",
"fields": [
{
"field": "field_1",
"label": "<string>",
"fuzzy": false
}
]
}
],
"display_field_rules": [
{
"field": "field_2",
"label": "<string>",
"editable": false,
"protected": false,
"highlight": {
"color": "<string>",
"position": 123
}
}
],
"scope_conditions": [
{
"field": "field_1",
"operator": "eq",
"value": "Alice"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"allow_to_export_results": true,
"search_button": {
"text": "<string>",
"color": "<string>"
},
"messages": {
"has_result": "<string>",
"no_result": "<string>"
},
"header": {
"background_image": {
"id": "<string>",
"image_url": "<string>",
"position_x": 123,
"position_y": 123
}
},
"searches_count": 123,
"views_count": 123
}
}{
"error": "Authentication failed"
}{
"error": "Query not found"
}Public Queries
Get a public query
Required scope: form:read.
GET
/
api
/
v1
/
opensearch
/
queries
/
{token}
Get a public query
Authorizations
Personal Access Token prefixed with fh_. Sent as Authorization: Bearer fh_xxx.
The scope required by each endpoint is listed in that endpoint's description.
Path Parameters
Query token
Response
Success
Show child attributes
Show child attributes
Last modified on October 9, 2026
Was this page helpful?